Skip to navigation

Get SqlDashboardBlock by ID

Beta
Get a single SqlDashboardBlock by ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

sql_dashboard_block_idstringRequired
ID of the SqlDashboardBlock.

Headers

EARLY-ACCESSstringOptional

Set to true to access beta operations via /api/v3.

Query parameters

returningstringOptional

Comma-separated list of top-level fields to include in each returned item. Cannot overlap with omit.

omitstringOptional

Comma-separated list of top-level fields to omit from each returned item. Cannot overlap with returning.

Response

OK
__typenamestringOptional
descriptionstringOptional
idstringOptional
indexintegerOptional
namestringOptional
sqlQuerystringOptional

Errors

400
SQL Dashboard Block Get Request Bad Request Error
403
SQL Dashboard Block Get Request Forbidden Error
404
SQL Dashboard Block Get Request Not Found Error
429
SQL Dashboard Block Get Request Too Many Requests Error
500
SQL Dashboard Block Get Request Internal Server Error